macros.hpp File Reference

Go to the source code of this file.

## Macros

#define | GECODE_POST
| Check for failure in a constraint post function.
#define | GECODE_ME_CHECK(me)
| Check whether modification event me is failed, and forward failure.
#define | GECODE_ME_CHECK_MODIFIED(modified, me)
| Check whether me is failed or modified, and forward failure.
#define | GECODE_ME_FAIL(me)
| Check whether modification event me is failed, and fail space home.
#define | GECODE_ES_CHECK(es)
| Check whether execution status es is failed or subsumed, and forward failure or subsumption.
#define | GECODE_ES_FAIL(es)
| Check whether execution status es is failed, and fail space home.
#define | GECODE_REWRITE(prop, post)
| Rewrite propagator by executing post function.